# Interface Node

All Superinterfaces:
  `Attributable`

All Known Implementing Classes:
  `BaseNode`

public interface Node extends Attributable
Represents a node in a graph or tree. In general it is used only as a handle to traverse a graph or tree structure and it has no methods or instance variables.

Version:
  $Id: Node.java 904 2008-05-04 23:16:09Z matt_kearse $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

### Nested classes/interfaces inherited from interface Attributable

`Attributable.Utils`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDegree()`
Get the number of edges connected to this node.

### Methods inherited from interface Attributable

`getAttribute, getAttributeMap, getAttributeNames, removeAttribute, setAttribute`

## Method Details

### getDegree

int getDegree()
Get the number of edges connected to this node. (this is also the number of nodes connected to this node).

Note: In previous implementations, this method would return a different value on the root node of trees. It would previously return 1 more than the correct value in that case.

Returns:
  the number of edges connected to this node